All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
YCbCr422ToBGRBatch
Color Model Conversion

Planar YCbCr422 to packed BGR batch color conversion with a single Region-of-Interest (ROI) for all pairs of input/output images provided in batches. More...

## Functions

NppStatus | nppiYCbCr422ToBGRBatch_8u_P3C3R_Ctx (const NppiImageDescriptor *const pSrcBatchList[3], NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned packed BGR batch color conversion for a single ROI. More...
NppStatus | nppiYCbCr422ToBGRBatch_8u_P3C3R (const NppiImageDescriptor *const pSrcBatchList[3], NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oSizeROI)

## Detailed Description

Planar YCbCr422 to packed BGR batch color conversion with a single Region-of-Interest (ROI) for all pairs of input/output images provided in batches.

## Function Documentation

NppStatus nppiYCbCr422ToBGRBatch_8u_P3C3R | ( | const NppiImageDescriptor *const | pSrcBatchList[3],
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr422ToBGRBatch_8u_P3C3R_Ctx | ( | const NppiImageDescriptor *const | pSrcBatchList[3],
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned packed BGR batch color conversion for a single ROI.

Provided oSizeROI will be used for all pairs of input planes making input images and output packed images passed in pSrcBatchList and pSrcBatchList arguments. API user must ensure that provided ROI (oSizeROI) does not go beyond the borders of any of provided images.

Parameters

  pSrcBatchList | An array where each element is a batch of images representing one of planes in planar images, Source-Batch-Images Pointer. The first element of array (pSrcBatchList[0]) represents a batch of Y planes. The second element of array (pSrcBatchList[1]) represents a batch of Cb planes. The third element of array (pSrcBatchList[2]) represents a batch of Cr planes.
  pDstBatchList | Destination-Batch-Images Pointer.
  nBatchSize | A number of NppiImageDescriptor structures processed in this call (must be > 1).
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation